%define upstream_name    MooseX-MarkAsMethods
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Mark overload code symbols as methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(namespace::autoclean) >= 0.120.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
MooseX::MarkAsMethods allows one to easily mark certain functions as Moose
methods. This will allow other packages such as the namespace::autoclean
manpage to operate without blowing away your overloads. After using
MooseX::MarkAsMethods your overloads will be recognized by the Class::MOP
manpage as being methods, and class extension as well as composition from
roles with overloads will "just work".

By default we check for overloads, and mark those functions as methods.

If 'autoclean => 1' is passed to import on use'ing this module, we will
invoke namespace::autoclean to clear out non-methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.150.0-11.mga9
+ Revision: 1804679
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-10.mga8
+ Revision: 1495662
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-9.mga7
+ Revision: 1269604
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-8.mga6
+ Revision: 1030442
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.150.0-7.mga6
+ Revision: 948370
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.150.0-6.mga5
+ Revision: 787811
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 749336
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 685545
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 513198
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 370192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 0.150.0-1.mga3
+ Revision: 253996
- update to 0.15

* Mon Nov 07 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 164780
- imported package perl-MooseX-MarkAsMethods


* Mon Nov 07 2011 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
